module resultados

! objetivo: mostrar listagem e gráfico dos resultados

use variaveis

implicit none

contains

!-------------------------------------------------------------------------------

  subroutine visualizacao

    call richardson_depend_2 

  end subroutine visualizacao

!-------------------------------------------------------------------------------
!Escreve resultados no formato Richardson
!-------------------------------------------------------------------------------

  subroutine richardson_depend_2 
  
    open(out_depend,file=trim(adjustl(titulo))//'_itp_6N_pt'//'.Richardson_3p0')
    write(out_depend,12) h , PP6, XX0(1), XX0(2),z(25),x3,y3, cpu1
    12 format(  2x, 1pe40.32, 2x, 'h           (adim.)',/, &
             ' 1 ', 1pe40.32, 2x, 'Variável dependende - valor interpolado (Int. Pol. Pp=6, 2D)',/, &
             ' 2 ', 1pe40.32, 2x, 'X do valor interpolado (Int. Pol. Pp=6, 2D)',/, &
             ' 3 ', 1pe40.32, 2x, 'Y do valor interpolado (Int. Pol. Pp=6, 2D)',/, &
             ' 4 ', 1pe40.32, 2x, 'Variável dependende - valor nodal - (malha)',/, &
             ' 5 ', 1pe40.32, 2x, 'Variável independende - X do valor nodal - (malha)',/, &
             ' 6 ', 1pe40.32, 2x, 'Variável independende - Y do valor nodal - (malha)',/, &
             ' Tempo de processamento (s) =', 1pe40.32, 2x)
    
    close(out_depend)

    note_caso = 'notepad '// trim(adjustl(titulo))//'_itp_6N_pt'//'.Richardson_3p0'
    dos = system(note_caso) ! lista arquivo das variáveis de interesse
    
   
       
   end subroutine richardson_depend_2 
   
   
   

end module resultados